Skip to main content
POST
/
asset
Create or Update Asset
curl --request POST \
  --url https://api.catalogix.ai/v1/asset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "parent_code": "SKU001",
    "asset_type": "image",
    "assets": {
      "Image URL 1": "https://cdn.example.com/img1.jpg"
    }
  }
]
'
{
  "status": {
    "code": 0,
    "message": "SUCCESS",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  },
  "data": {
    "created": 1,
    "updated": 0,
    "failed": 0,
    "error_info": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID

Query Parameters

store_uuid
string
required

Store identifier

channel
string
default:SMP

Channel for all assets in the request

Body

application/json
parent_code
string
required

Parent/product code

Example:

"SKU001"

assets
object
required

Map of image attribute name to URL

Example:
{
"Image URL 1": "https://cdn.example.com/img1.jpg"
}
asset_type
string

Defaults to image

Example:

"image"

product_uuid
string

Optional; resolved via search API if not provided

Response

Assets created or updated

status
object
data
object